package org.rcisoft.sys.doorvideodevice.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import java.math.BigInteger;


/**
* Created with cy on 2023年1月3日 上午10:29:41.
*/
@Data
@TableName("door_video_device")
public class DoorVideoDevice  extends CyIdIncreEntity<DoorVideoDevice> {

     /**
     * @desc 视频监控设备名称
     * @column device_name
     * @default
     */
     private String deviceName;
     /**
     * @desc 设备ip
     * @column device_ip
     * @default
     */
     private String deviceIp;
     /**
     * @desc 设备端口号
     * @column device_port
     * @default
     */
     private String devicePort;
     /**
     * @desc 设备账号
     * @column device_account
     * @default
     */
     private String deviceAccount;
     /**
     * @desc 设备密码
     * @column device_sign
     * @default
     */
     private String deviceSign;
     /**
     * @desc 关联门磁设备id
     * @column link_door_device_id
     * @default
     */
     private Long linkDoorDeviceId;
     /**
     * @desc 关联门磁设备imei
     * @column link_door_device_imei
     * @default
     */
     private String linkDoorDeviceImei;


}

