package org.rcisoft.sys.messageinstance.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.sys.messageinstance.entity.MessageInstance;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * Created with cy on 2022年11月16日 下午4:37:10.
 */

public interface MessageInstanceRepository extends CyBaseMapper<MessageInstance> {


    List<MessageInstance> queryMessageInstances(@Param("entity") MessageInstance messageInstance);

    /**
     * 分页查询 messageInstance
     */
    IPage<MessageInstance> queryMessageInstancesPaged(CyPageInfo cyPageInfo, @Param("entity") MessageInstance messageInstance);
}

