package org.rcisoft.sys.sysuser.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.sys.sysuser.entity.SysUserCar;
import org.rcisoft.sys.sysuser.entity.SysUserRole;

import java.util.List;

/**
 * Created with cy on 2022年11月21日 下午3:35:29.
 */
@Mapper
public interface SysUserCarRepository extends CyBaseMapper<SysUserCar> {


    //添加
    int addCars(SysUserCar userCar);

    //查询角色
    List<SysUserCar> querySysUserCarsById(Integer userId);

    //删除角色
    int delCars(Integer userId);
}

