package org.rcisoft.sys.sysuser.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2022年11月24日 上午10:40:37.
*/
@Data
@TableName("sys_role")
public class SysRole  extends CyIdIncreEntity<SysRole> {


     /**
     * @desc 角色名称
     * @column role_name
     * @default 
     */
     @Excel(name = "角色名称", orderNum = "0", width = 20)
     private String roleName;

     /**
     * @desc 角色权限字符串
     * @column role_key
     * @default 
     */
     @Excel(name = "角色权限字符串", orderNum = "1", width = 20)
     private String roleKey;

     /**
     * @desc 显示顺序
     * @column role_sort
     * @default 
     */
     @Excel(name = "显示顺序", orderNum = "2", width = 20)
     private Integer roleSort;

     /**
     * @desc 菜单树选择项是否关联显示
     * @column menu_check_strictly
     * @default 
     */
     @Excel(name = "菜单树选择项是否关联显示", orderNum = "3", width = 20)
     private Integer menuCheckStrictly;


}

