package org.rcisoft.sys.sysuser.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.core.entity.CyIdNotDataEntity;
import org.springframework.data.annotation.Transient;

/**
* Created with cy on 2022年11月21日 下午3:35:29.
*/
@Data
@TableName("sys_user_car")
public class SysUserCar extends CyIdNotDataEntity<SysUserCar> {

     /**
     * @desc 用户id
     * @column user_id
     * @default 
     */
//     @Excel(name = "用户id", orderNum = "0", width = 20)
     private Integer userId;

     //车牌号
     private String carPlate;

     // 车牌属性
     private String carAttr;

     // 车牌属性中文
     @Transient
     @TableField(exist = false)
     private String carAttrChina;


}

