package org.rcisoft.sys.visit.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.sys.visit.entity.VisitInfoMation;
import org.rcisoft.sys.visit.entity.VisitUser;

import java.util.List;

@Mapper
public interface InvitedPersonRepository extends CyBaseMapper<VisitInfoMation> {

    VisitInfoMation getVisitInfo(@Param("visit_id") int visit_id);

    List<VisitUser> getVisitUserByPhone(@Param("visitPhone") String visitPhone);

    /**
     * 分页查询 visitInfomation
     *
     */
    IPage<VisitInfoMation> queryVisitInfomationsPaged(CyPageInfo cyPageInfo, @Param("entity") VisitInfoMation visitInfomation, @Param("phone")String phone);

    VisitUser getVisitUserById(@Param("businessId") int businessId);
}
