package org.rcisoft.sys.attendance.dao;

import org.apache.ibatis.annotations.Mapper;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.sys.attendance.entity.AttendanceSync;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;

/**
 * Created with cy on 2022年11月28日 下午4:57:21.
 */
@Mapper
public interface AttendanceSyncRepository extends CyBaseMapper<AttendanceSync> {


    List<AttendanceSync> queryAttendanceSyncs(@Param("entity") AttendanceSync attendanceSync);

    /**
     * 分页查询 attendanceSync
     */
    IPage<AttendanceSync> queryAttendanceSyncsPaged(CyPageInfo cyPageInfo, @Param("entity") AttendanceSync attendanceSync);

    //新增
    int addAttendanceSync(@Param("entity") AttendanceSync attendanceSync);

    int addAttendanceListSync(@Param("list") List<AttendanceSync> list);
}

