package org.rcisoft.sys.attendance.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.sys.attendance.entity.ScheduledResult;
import org.rcisoft.sys.attendance.entity.ScheduledTime;

import java.util.Date;
import java.util.List;

/**
 * Created with cy on 2022年11月28日 下午4:57:21.
 */
@Mapper
public interface ScheduledResultRepository extends CyBaseMapper<ScheduledResult> {


    IPage<ScheduledResult> queryScheduledResultPaged(CyPageInfo<ScheduledResult> paginationUtility,
                                                     @Param("entity")ScheduledResult scheduledResult);

    IPage<ScheduledTime> queryScheduledTimePaged(CyPageInfo<ScheduledResult> paginationUtility,
                                                     @Param("entity")ScheduledTime scheduledTime);

    List<ScheduledTime> selectScheduledTime();

    int updateScheduledTime(@Param("beginDate") Date beginDate, @Param("endDate") Date endDate,@Param("businessId") String businessId);

    int insertScheduledTime(@Param("entity") ScheduledTime entity);

    List<ScheduledTime> selectScheduledTimeByDate(@Param("entity")ScheduledTime scheduledTime);
}

