package org.rcisoft.sys.attendance.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.sys.attendance.entity.AttendanceSync;
import org.rcisoft.sys.attendance.entity.ScheduledResult;
import org.rcisoft.sys.attendance.entity.ScheduledTime;

import java.text.ParseException;
import java.util.List;

/**
 * Created by cy on 2022年11月28日 下午4:57:21.
 */
public interface ScheduledResultService {


    /**
    * 分页查询 考勤同步表
    * @param attendanceSync
    * @return
    */
    IPage<ScheduledResult> findAllByPagination(CyPageInfo<ScheduledResult> paginationUtility,
                                               ScheduledResult scheduledResult);


    CyPersistModel implement(ScheduledResult scheduledResult) throws ParseException;

    /**
     * 分页查询 考勤同步表
     * @param attendanceSync
     * @return
     */
    IPage<ScheduledTime> queryScheduledTimeByPagination(CyPageInfo<ScheduledResult> paginationUtility,
                                                        ScheduledTime scheduledTime);

    CyPersistModel schedule(ScheduledTime scheduledTime);
}
