package org.rcisoft.sys.doorreportdata.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;

import java.util.Date;


/**
 * Created with cy on 2022年12月23日 下午1:57:30.
 */
@Data
@TableName("door_report_data_pic")
public class DoorReportDataPic extends CyIdIncreEntity<DoorReportDataPic> {

    /**
     * @desc 设备主键
     * @column device_id
     * @default
     */
    private Integer dataId;
    /**
     * @desc 抓拍图像
     * @column capture_pic
     * @default
     */
    private String capturePic;

    /**
     * @desc 抓拍时间
     * @column capture_time
     * @default
     */
    private Date captureTime;

}

