package org.rcisoft.sys.doorvideodevice.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.sys.doorvideodevice.entity.DoorVideoDevice;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2023年1月3日 上午10:29:41.
*/

public interface DoorVideoDeviceRepository extends CyBaseMapper<DoorVideoDevice> {


    List<DoorVideoDevice> queryDoorVideoDevices(@Param("entity") DoorVideoDevice doorVideoDevice);

    /**
    * 分页查询 doorVideoDevice
    *
    */
    IPage<DoorVideoDevice> queryDoorVideoDevicesPaged(CyPageInfo cyPageInfo,@Param("entity") DoorVideoDevice doorVideoDevice);
}

