package org.rcisoft.sys.sysusercard.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.sys.sysusercard.entity.SysUserCard;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on Dec 28, 2022, 2:07:15 PM.
*/

public interface SysUserCardRepository extends CyBaseMapper<SysUserCard> {


    List<SysUserCard> querySysUserCards(@Param("entity") SysUserCard sysUserCard);

    /**
    * 分页查询 sysUserCard
    *
    */
    IPage<SysUserCard> querySysUserCardsPaged(CyPageInfo cyPageInfo,@Param("entity") SysUserCard sysUserCard);
}

