package org.rcisoft.sys.visit.schedule;


import cn.hutool.core.date.DateUtil;
import org.apache.commons.lang3.StringUtils;
import org.rcisoft.integration.jieLink.service.IJieLinkService;
import org.rcisoft.sys.dictionary.entity.DictData;
import org.rcisoft.sys.dictionary.service.DictionaryService;
import org.rcisoft.sys.visit.dao.VisitInfomationRepository;
import org.rcisoft.sys.visit.entity.VisitInfoMation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;


@Component
@ConditionalOnProperty(prefix = "syncSchedule", name = "config", havingValue = "true")
public class VisitSyncSchedule {

    @Autowired
    private DictionaryService dictionaryServiceImpl;

    @Autowired
    private VisitInfomationRepository visitInfomationRepository;

    @Autowired
    private IJieLinkService jieLinkService;

    /**
     * 捷顺开关
     */
    @Value("${jieLink.synchronization}")
    private boolean synchronization;

    //@Scheduled(cron = "0 0/30 * * * ?")
   /* @Transactional(propagation = Propagation.REQUIRED, isolation = Isolation.DEFAULT)
    public void execute() {
        // 查询提前访问时间阈值
        List<DictData> dictDataList = dictionaryServiceImpl.selectByTypes("timeThreshold");
        long times = 20 * 60 * 1000;
        for (DictData dicData : dictDataList) {
            String dictValue = dicData.getDictValue();
            //此处可能会有类型转换报错的BUG
            int factor = Integer.parseInt(dictValue);
            String dictLabel = dicData.getDictLabel();
            if (StringUtils.equals("advance", dictLabel)) {
                times = times + factor * 60 * 1000;
            }
        }
        // 获取此时未到访问时间已到禁止编辑时间的邀访记录同步到捷顺
        Date date = new Date();
        String realTime = DateUtil.format(date, "yyyy-MM-dd HH:mm:ss");
        String time = DateUtil.format(new Date(date.getTime() + times), "yyyy-MM-dd HH:mm:ss");
        // 查询时间段内未同步的邀访记录
        List<VisitInfoMation> records = visitInfomationRepository.findByTime(time, realTime);
        if (records.size() > 0) {
            records.forEach(r->{
                if (synchronization && jieLinkService.pushVisitorData(r)) {
                    r.setSynStatus("1");
                    visitInfomationRepository.updateById(r);
                }
            });
        }
    }*/
}
